Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## scone.robot
Class PageLoaderPoolStats

    java.lang.Object
      scone.robot.PageLoaderPoolStats

    public class PageLoaderPoolStats

extends java.lang.Object

PageLoaderPoolStaats is part of a threadpool implementation described in the article "Why Thread Pools are Important in Java" by Tarak Modi, Java Pro magazine. http://www.devx.com/upload/free/features/javapro/2000/10oct00/tm0010/tm0010.asp
This class holds the statistics of the Thread Pool from which it was returned

Field Summary
`int` | `jobsInProgress` Jobs currently running
`int` | `maxIdleTime` The maximum time a threa is allowed to be idle before it is stopped
`int` | `maxThreads` Maximum number of threads the pool is allowed to create
`int` | `minThreads` Minimum number of running threads
`int` | `numThreads` Number of threads in the pool
`int` | `pendingJobs` Jobs in the queue waiting for execution

Constructor Summary
`PageLoaderPoolStats()`

Method Summary
`java.lang.String` | `toString()` Formats a string with the statistics

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### maxThreads

    public int maxThreads

  Maximum number of threads the pool is allowed to create

### minThreads

    public int minThreads

  Minimum number of running threads

### maxIdleTime

    public int maxIdleTime

  The maximum time a threa is allowed to be idle before it is stopped

### numThreads

    public int numThreads

  Number of threads in the pool

### pendingJobs

    public int pendingJobs

  Jobs in the queue waiting for execution

### jobsInProgress

    public int jobsInProgress

  Jobs currently running

Constructor Detail

### PageLoaderPoolStats

    public PageLoaderPoolStats()

Method Detail

### toString

    public java.lang.String toString()

  Formats a string with the statistics

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    A String containing the statistics

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD